Bug 90921 - Cannot use ledfixed font from xawtv-tv-fonts rpm package
Cannot use ledfixed font from xawtv-tv-fonts rpm package
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xawtv (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-15 09:02 EDT by Paul Osmialowski
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 12:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xterm screenshot using xawtv led fonts (34.92 KB, image/jpeg)
2003-05-27 02:52 EDT, Mike A. Harris
no flags Details

  None (edit)
Description Paul Osmialowski 2003-05-15 09:02:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
After starting xawtv I can see such a message:
This is xawtv-3.81, running on Linux/i686 (2.4.20-13.9)
Warning: Cannot convert string "-*-ledfixed-medium-r-semicondensed--39-*" to
type FontStruct
Since that, I can't see led font (which is very nice) switching the channel, I
can see plain font instead


Version-Release number of selected component (if applicable):
xawtv-3.81-6 xawtv-tv-fonts-3.81-6

How reproducible:
Always

Steps to Reproduce:
1. run X
2. run shell
3. type xawtv
4. type f for full screen
5. switch to another channel, channell name will be written on top left
    

Actual Results:  Channel name is written with misery font

Expected Results:  Channel name should be written using 80's-calculator-like led
font

Additional info:

I've installed both rpm's: xawtv and xawtv-tv-fonts
Comment 1 Ngo Than 2003-05-22 09:49:54 EDT
It seems that this font can not be loaded.

Does it show the same error massages, if you start xterm -fn
"-*-ledfixed-medium-r-semicondensed--39-*" ?
Comment 2 Paul Osmialowski 2003-05-22 14:32:23 EDT
Trying xterm error message is different, but ledfixed font still can't be used:
[root@oyster root]# xterm -fn "-*-ledfixed-medium-r-semicondensed--39-*"
xterm:  unable to open font "-*-ledfixed-medium-r-semicondensed--39-*", trying
"fixed"....
[root@oyster root]# rpm -qa|grep -i xawtv
xawtv-tv-fonts-3.81-6
xawtv-3.81-6
[root@oyster root]# rpm -ql xawtv-tv-fonts
/usr/share/fonts/tv-fonts/caption.pcf.gz
/usr/share/fonts/tv-fonts/captioni.pcf.gz
/usr/share/fonts/tv-fonts/led-iso10646-1.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-1.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-10.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-13.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-14.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-15.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-2.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-3.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-4.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-5.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-7.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-8.pcf.gz
/usr/share/fonts/tv-fonts/led-iso8859-9.pcf.gz
/usr/share/fonts/tv-fonts/led-koi8-r.pcf.gz
/usr/share/fonts/tv-fonts/teletext1.pcf.gz
/usr/share/fonts/tv-fonts/teletext1i.pcf.gz
/usr/share/fonts/tv-fonts/teletext2.pcf.gz
/usr/share/fonts/tv-fonts/teletext2i.pcf.gz
/usr/share/fonts/tv-fonts/teletext4.pcf.gz
/usr/share/fonts/tv-fonts/teletext4i.pcf.gz

In ungziped led-iso8859-2.pcf file we can read:
-Xxl-LedFixed-Medium-R-SemiCondensed--39-120-75-75-C-180-ISO8859-2
Comment 3 Ngo Than 2003-05-26 15:48:00 EDT
It seems a bug in xfs, assign to XFree86
Comment 4 Mike A. Harris 2003-05-27 02:50:51 EDT
I don't see how you conclude this is an xfs bug.  I see it as a font
misinstallation issue.  The name of the font being requested is not the
exact name of the font being advertised.  Use xfontsel to see what fonts
are actually available, and use them by the proper XLFD.  Attaching a
screenshot of xterm running with the LED font, using the exact commandline
advertised above.
Comment 5 Mike A. Harris 2003-05-27 02:52:10 EDT
Created attachment 91985 [details]
xterm screenshot using xawtv led fonts
Comment 6 Mike A. Harris 2003-05-27 02:53:32 EDT
Closing as NOTABUG
Comment 7 Paul Osmialowski 2003-06-15 13:58:24 EDT
/usr/share/fonts/tv-fonts/ directory installed from rpm has wrong rights. After
chmoding to 0755 and restarting xfs font is working proprerly
Comment 8 Mike A. Harris 2003-06-16 15:54:34 EDT
/usr/share/fonts/tv-fonts is not part of XFree86, and has nothing to do with
XFree86 whatsoever, so I'm not sure why this is reopened against XFree86.

I'm reassigning to xawtv, assuming it is a bug in xawtv.
Comment 9 Ngo Than 2003-06-17 12:50:08 EDT
it's fixed in xawtv-3.88-4. Thanks

Note You need to log in before you can comment on or make changes to this bug.